## network-manager 1.18.0

=== debian/changelog ===
network-manager (1.18.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jul 2019 00:36:17 +0200

network-manager (1.18.0-2) experimental; urgency=medium

  * Fix package description after avahi-autoipd removal
  * Drop obsolete lintian overrides

 -- Michael Biebl <biebl@debian.org>  Tue, 28 May 2019 22:27:17 +0200

network-manager (1.18.0-1) experimental; urgency=medium

  * New upstream version 1.18.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Apr 2019 22:28:56 +0200

network-manager (1.16.0-2) experimental; urgency=medium

  * Drop dependency on lsb-base.
    It is only needed when booting with sysvinit and initscripts, but
    initscripts already Depends on lsb-base (see #864999).
  * Drop dpkg-dev (>= 1.17.14) Build-Depends.
    No longer needed as even the version in oldstable is new enough.

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Apr 2019 11:07:57 +0200

network-manager (1.16.0-1) experimental; urgency=medium

  * New upstream version 1.16.0
  * Rebase patches
  * Update symbols file for linm0
  * Drop migration code from pre-stretch

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Mar 2019 00:13:49 +0100
