=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>,
 Aron Xu <aron@debian.org>
Build-Depends: debhelper-compat (= 12),
               automake (>= 1.12),
               pkg-config,
               intltool,
               libglib2.0-dev (>= 2.32),
               ppp-dev (>= 2.4.7-1+1),
               libpolkit-gobject-1-dev,
               libpolkit-agent-1-dev (>= 0.97),
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               systemd (>= 185),
               libsystemd-dev (>= 209),
               libudev-dev (>= 175),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               python-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               perl,
               libyaml-perl,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev,
               libbluetooth-dev (>= 5),
               valac (>= 0.17.1.24),
               dbus <!nocheck>,
               python-dbus <!nocheck>
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm0 (= ${binary:Version}),
         wpasupplicant,
         dbus,
         udev,
         adduser,
         libpam-systemd,
         policykit-1
Recommends: ppp,
            dnsmasq-base,
            iptables,
            modemmanager,
            crda,
            isc-dhcp-client,
Suggests: libteam-utils
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Conflicts: libnm-glib-dev,
           libnm-glib-vpn-dev,
           libnm-util-dev,
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm0 (= ${binary:Version}),
         gir1.2-nm-1.0 (= ${binary:Version}),
         libglib2.0-dev
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.
