## network-manager 1.20.4

=== debian/changelog ===
network-manager (1.20.4-2ubuntu2) eoan; urgency=medium

  * debian/patches/git_wpa_sae.patch:
    - PMF can be used with SAE, allow it, fixes WPA3 handling
      (lp: #1844422)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Oct 2019 00:06:27 +0200

network-manager (1.20.4-2ubuntu1) eoan; urgency=medium

  * New upstream version, merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 11:16:12 +0200

network-manager (1.20.4-2) unstable; urgency=medium

  * Install directories as created by upstream build system.
    Drop network-manager.dirs and instead use the directories created by the
    upstream build system. Fix permissions of /var/lib/NetworkManager to be
    0700 as it contains possibly sensitive data and should not be
    world-readable.
  * Fix permissions of /var/lib/NetworkManager/secret_key on upgrades.
    The file mode is supposed to be 0600. (Closes: #941609)

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2019 00:30:01 +0200

network-manager (1.20.4-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.20.4

  [ Andreas Henriksson ]
  * Switch build-dependencies to python3.
    The tests are designed to work with either python2 or python3.
    We should be able to simply switch build-dependencies to python3
    equivalents. However if something transitively pulls in python2 the
    AM_PATH_PYTHON autoconf macro will find python(2) binary, so we
    explicitly set PYTHON=/usr/bin/python3. (Closes: #938944)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Sep 2019 16:01:19 +0200

network-manager (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Track stable releases in watch file
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Sep 2019 10:43:28 +0200

network-manager (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Aug 2019 22:55:57 +0200

network-manager (1.18.0-1ubuntu6) eoan; urgency=medium

  [ Till Kamppeter ]
  * debian/tests/nm.py:
    + Make activating an AP time out earlier than it otherwise would.
    + Skip a call that is failing for IPv6 connections.

  [ Iain Lane ]
  * debian/tests/nm.py: Delete code skipped by the previous change, rather
    than commenting it out and leaving it inactive in the source.

  [ Sebastien Bacher ]
  * Updated debian branch from eoan to master

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Aug 2019 13:17:35 +0100

network-manager (1.18.0-1ubuntu5) eoan; urgency=medium

  * Updated autopkg test nm.py for API changes in network-manager.

  [ Mathieu Trudel-Lapierre ]
  * debian/tests/control: fix test dependency to list gir1.2-nm-1.0 instead
    of its old name gir1.2-networkmanager-1.0.

 -- Till Kamppeter <till.kamppeter@canonical.com>  Tue, 25 Jun 2019 13:31:42 +0200

network-manager (1.18.0-1ubuntu4) eoan; urgency=medium

  * debian/tests/nm.py: give test_no_ap more time for wifi devices to start
    as it may be necessary on ppc64el.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 29 May 2019 09:31:18 -0400

network-manager (1.18.0-1ubuntu3) eoan; urgency=medium

  * d/p/Read-system-connections-from-run.patch:
    - remove, upstream addressed it in a different way/for different 
      reasons in commit ce4dbd7daf.
  * debian/network-manager-dev.install:
    - update following the the recent binary changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 11:26:30 +0200

network-manager (1.18.0-1ubuntu2) eoan; urgency=medium

  * debian/control, debian/lib*.install, debian/rules:
    - remove the deprecated libnm-glib/vpn/util libraries
  * debian/patches/series:
    - restore Read-system-connections-from-run.patch which had been
      dropped by error.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 00:07:31 +0200

network-manager (1.18.0-1ubuntu1) eoan; urgency=medium

  * Update to 1.18, merge on Debian, new version includes nwe support for 
    policy routing rules and for VLAN filtering for Linux bridge.
  * Remaining Ubuntu changes
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - Revert "Add Conflicts to network-manager-dev against deprecated libraries"

