=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
@@ -22,7 +23,7 @@
                libudev-dev (>= 175),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
-               python-gi,
+               python3-gi,
                libpsl-dev (>= 0.1),
                libcurl4-gnutls-dev (>= 7.24.0),
                gtk-doc-tools,
@@ -38,11 +39,13 @@
                libbluetooth-dev (>= 5),
                valac (>= 0.17.1.24),
                dbus <!nocheck>,
-               python-dbus <!nocheck>
+               python3-dbus <!nocheck>
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://git.launchpad.net/network-manager
+Vcs-Browser: https://git.launchpad.net/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -61,8 +64,10 @@
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-Suggests: libteam-utils,
+Suggests: avahi-autoipd,
+          libteam-utils,
           isc-dhcp-client,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
@@ -76,6 +81,8 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -168,3 +175,21 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to an Ubuntu server to determine the
+ connection status.
+ .
+ This is particularly useful for captive portal detection.
+ .
+ No user data is transmitted in the connectivity checks, but merely contacting
+ the Ubuntu connectivity check servers reveals that the user is running an
+ Ubuntu(-based) operating system with NetworkManager.
