=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
+export LDFLAGS
+
+export PYTHON=/usr/bin/python3
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
@@ -21,7 +27,7 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
@@ -36,6 +42,7 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
+		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
@@ -56,10 +63,18 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
+
+override_dh_installinit:
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
@@ -70,3 +85,8 @@
 
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
+endif
