## network-manager 1.22.6

=== debian/changelog ===
network-manager (1.22.6-1) unstable; urgency=medium

  * New upstream version 1.22.6
  * Bump Standards-Version to 4.5.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 31 Jan 2020 18:14:59 +0100

network-manager (1.22.4-1) unstable; urgency=medium

  * New upstream version 1.22.4
  * Rebase patches
  * n-dhcp4: fix integer context in n_dhcp4_client_probe_transition_nak() on
    32 bit

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jan 2020 03:00:29 +0100

network-manager (1.22.2-2) unstable; urgency=medium

  * More nettools DHCP fixes (Closes: #947613)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jan 2020 22:26:29 +0100

network-manager (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Dec 2019 07:17:58 +0100

network-manager (1.22.0-2) unstable; urgency=medium

  * dhcp: nettools: fix parsing of search domains option (Closes: #947003)

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Dec 2019 18:04:05 +0100

network-manager (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Rebase patches
  * Explicitly disable (experimental) nm-cloud-setup tool
  * Update symbols file for linm0

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Dec 2019 19:05:33 +0100

network-manager (1.20.8-1) unstable; urgency=medium

  * New upstream version 1.20.8
  * Rebase patches
  * Bump Standards Version to 4.4.1

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Nov 2019 19:23:25 +0100

network-manager (1.20.6-1) unstable; urgency=medium

  * New upstream version 1.20.6
    - Add support for iwd 1.0. (Closes: #944259)
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Nov 2019 22:32:54 +0100
