=== debian/changelog ===
network-manager (1.22.10-1ubuntu2.4) focal-security; urgency=medium

  * Fix autopkgtest issue with dnsmasq security update
    - d/t/nm.py: adapt to changes dnsmasq behavior (LP: 1894619)
    - Fix originally went into 1.30.0-1ubuntu4 in impish

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Feb 2024 12:36:54 -0500

network-manager (1.22.10-1ubuntu2.3) focal; urgency=medium

  * wwan: Set MTU based on what ModemManager exposes
    (LP: #1955797)

 -- Jerry Lee <jerry.lee@canonical.com>  Mon, 27 Nov 2021 09:37:06 +0800

network-manager (1.22.10-1ubuntu2.2) focal; urgency=medium

  * platform: add the NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE status check
    (LP: #1891632)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Wed, 16 Sep 2020 17:05:18 +0100

network-manager (1.22.10-1ubuntu2.1) focal; urgency=medium

  * debian/rules:
    - the iptables binary is in /usr/sbin now, use the correct location in
      the configure. Should fix the hotspot feature not working in GNOME
      on upgraded systems which haven't been usrmerged.
      (lp: #1870359)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 May 2020 18:23:10 +0200

network-manager (1.22.10-1ubuntu2) focal; urgency=medium

  * d/t/killswitches-no-urfkill
    - Call udevadm settle before nmcli radio wifi
      To make sure that change is updated. (LP: #1733321)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 20 Apr 2020 22:40:44 -0700

network-manager (1.22.10-1ubuntu1) focal; urgency=medium

  * Update to the current stable version, merging from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 16:27:29 +0100

network-manager (1.22.10-1) unstable; urgency=medium

  * New upstream version 1.22.10
  * Mark network-manager-dev as Architecture: all and Multi-Arch: foreign
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Mar 2020 00:58:03 +0100

network-manager (1.22.8-1) unstable; urgency=medium

  * New upstream version 1.22.8
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Feb 2020 00:27:58 +0100

network-manager (1.20.8-1ubuntu2) focal; urgency=medium

  * debian/rules:
    - Omit building the uninstallable network-manager binary (depends on
      wpasupplicant) on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Jan 2020 18:26:29 +0100

network-manager (1.20.8-1ubuntu1) focal; urgency=medium

  * New upstream version, merged from Debian
  * debian/patches/git_wpa_sae.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jan 2020 17:00:01 +0100
