=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
+export LDFLAGS
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   BUILD_PACKAGES += -Nnetwork-manager
+endif
 
 export PYTHON=/usr/bin/python3
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with gir,ppp
+	dh $@ --with gir,ppp $(BUILD_PACKAGES)
 
 autoreconf:
 	gtkdocize --copy
@@ -23,9 +31,9 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
-		--with-iptables=/sbin/iptables \
+		--with-iptables=/usr/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
 		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
 		--with-systemdsystemunitdir=/lib/systemd/system \
@@ -38,6 +46,7 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
+		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
@@ -59,10 +68,18 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
+
+override_dh_installinit:
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
@@ -73,3 +90,8 @@
 
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
+endif
